Specs (Gradle API 2.10)
Date: 2015-12-21

org.gradle.api.specs

## Class Specs

- java.lang.Object
- - org.gradle.api.specs.Specs

-     public class Specs
      extends Object

  Provides a number of `Spec` implementations.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Spec<Object>` | `SATISFIES_ALL`
    `static Spec<Object>` | `SATISFIES_NONE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Specs()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> AndSpec<T>` | `and(Collection<? extends Spec<? super T>> specs)`
    `static <T> AndSpec<T>` | `and(Spec<? super T>... specs)`
    `static <T> Spec<T>` | `convertClosureToSpec(Closure closure)`
    `static <T> NotSpec<T>` | `not(Spec<? super T> spec)`
    `static <T> Spec<T>` | `or(boolean defaultWhenNoSpecs, List<? extends Spec<? super T>> specs)`
    `static <T> OrSpec<T>` | `or(Collection<? extends Spec<? super T>> specs)`
    `static <T> OrSpec<T>` | `or(Spec<? super T>... specs)`
    `static <T> Spec<T>` | `satisfyAll()`
    `static <T> Spec<T>` | `satisfyNone()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SATISFIES_ALL

          public static final Spec<Object> SATISFIES_ALL

    - #### SATISFIES_NONE

          public static final Spec<Object> SATISFIES_NONE

  - ### Constructor Detail

    - #### Specs

          public Specs()

  - ### Method Detail

    - #### satisfyAll

          public static <T> Spec<T> satisfyAll()

    - #### satisfyNone

          public static <T> Spec<T> satisfyNone()

    - #### convertClosureToSpec

          public static <T> Spec<T> convertClosureToSpec(Closure closure)

    - #### and

          public static <T> AndSpec<T> and(Spec<? super T>... specs)

    - #### and

          public static <T> AndSpec<T> and(Collection<? extends Spec<? super T>> specs)

    - #### or

          public static <T> OrSpec<T> or(Spec<? super T>... specs)

    - #### or

          public static <T> OrSpec<T> or(Collection<? extends Spec<? super T>> specs)

    - #### not

          public static <T> NotSpec<T> not(Spec<? super T> spec)

    - #### or

          public static <T> Spec<T> or(boolean defaultWhenNoSpecs,
                       List<? extends Spec<? super T>> specs)